<?php

$code = array
(
	1 => '用户ID',
	2 => '随机数字',
	3 => '随机数字+字母',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基本配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '基本信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '系统logo-200X200',
			'default' 	=> '',
			'desc' 		=> '请选择系统logo',
			'match' 	=> 'is_string',
			//'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '160X160',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '系统介绍',
			'default' 	=> '',
			'desc' 		=> '请输入系统介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),
		
		'hr2'		=> array
		(
			'name' 		=> 'SEO信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'title'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '系统title',
			'default' 	=> '',
			'desc' 		=> '请输入系统标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'keyword'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '系统keyword',
			'default' 	=> '',
			'desc' 		=> '请输入系统关键词',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		'description'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '系统description',
			'default' 	=> '',
			'desc' 		=> '请输入系统描述',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'hr3'		=> array
		(
			'name' 		=> '版权与介绍',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'copyright'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '版权信息',
			'default' 	=> '',
			'desc' 		=> '请输入版权信息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'icp'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> 'icp备案信息-填写别的信息也可以的',
			'default' 	=> '',
			'desc' 		=> '请输入icp备案信息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'code'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '尾部代码-一般用于填写统计代码',
			'default' 	=> '',
			'desc' 		=> '请输入尾部代码',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'hr4'		=> array
		(
			'name' 		=> '其他配置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'usercode'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '邀请码生成设置-使用用户ID肯定不会出现重复，使用随机数会出现重复，系统去重时会影响程序执行效率',
			'default' 	=> '1',
			'desc' 		=> '邀请码生成设置',
			'match' 	=> 'is_numeric',
			'option' 	=> $code,
			'update'	=> 'select',
			//'list'		=> true,
		),

		'code_len'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '邀请码长度',
			'default' 	=> '6',
			'desc' 		=> '邀请码长度',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'avatar'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '用户默认头像-宽度为200*200的图片',
			'default' 	=> '',
			'desc' 		=> '用户默认头像',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'wechat'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '在线客服微信号',
			'default' 	=> '',
			'desc' 		=> '在线客服微信号',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'score_name'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '积分名称',
			'default' 	=> '',
			'desc' 		=> '积分名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'score_name_ext'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '积分单位',
			'default' 	=> '',
			'desc' 		=> '积分名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'report_name'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '报告名称',
			'default' 	=> '',
			'desc' 		=> '报告名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'group_name'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '战队名称',
			'default' 	=> '',
			'desc' 		=> '战队名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'exchange'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '积分兑换比例-积分兑换元的比例，输入1则1个积分兑换1元，输入2则2个积分兑换1元',
			'default' 	=> '1',
			'desc' 		=> '积分兑换比例',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'exchange_min'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '积分最低兑换数量',
			'default' 	=> '10',
			'desc' 		=> '积分最低兑换数量',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,info,title,keyword,description,copyright,icp,score_name,score_name_ext,report_name,group_name,cdate',
		'value' => array
		(
			'"嗨赚","做任务赚钱花-嗨赚任务系统","嗨赚任务系统","嗨赚,赚钱,任务系统","做任务赚钱花-嗨赚任务系统","Made With By Dever Hiz","京ICP备15006344号","金币","枚","报告","小队",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
