<?php

$status = array
(
	1 => '审核中',
	2 => '已审核',
	3 => '未审核',
);

return array
(
	# 表名
	'name' => 'user_group_member',
	# 显示给用户看的名称
	'lang' => '战队队员',
	'menu' => false,
	'order' => 17,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '',
			'desc' 		=> '用户名',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'search'	=> array
			(
				'api' => 'passport/user-all',
				'col' => 'username',
				'result' => 'id',
			),
			'list'		=> 'Dever::load("passport/user-one#username", {uid})',
		),
		
		'group_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '战队名',
			'default' 	=> '',
			'desc' 		=> '战队名',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'search'	=> array
			(
				'api' => 'task/user_group-all',
				'col' => 'name',
				'result' => 'id',
			),
			'list'		=> 'Dever::load("task/user_group-one#name", {group_id})',
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '审核状态',
			'default' 	=> '2',
			'desc' 		=> '审核状态',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'group_id' => 'yes',
				'status' => 2,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'page' => array(15, 'list'),
			'col' => '*',
		),
	)
);
