<?php


$status = array
(
	1 => '审核中',
	2 => '已认证',
	3 => '未认证',
);

return array
(
	# 表名
	'name' => 'user_info',
	# 显示给用户看的名称
	'lang' => '用户认证',
	'menu' => 'passport',
	'order' => 20,
	'fast' => 10,
	'end' => array
	(
		'update' => 'task/lib/manage.info_audit',
	),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '',
			'desc' 		=> '用户名',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'search'	=> array
			(
				'api' => 'passport/user-all',
				'col' => 'username',
				'result' => 'id',
			),
			'list'		=> 'Dever::load("passport/user-one#username", {uid})',
		),
		
		'truename'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '真实姓名',
			'default' 	=> '',
			'desc' 		=> '真实姓名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'card'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '身份证号',
			'default' 	=> '',
			'desc' 		=> '身份证号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'card_front'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '身份证正面',
			'default' 	=> '',
			'desc' 		=> '身份证正面',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
			'list_name'		=> '照片信息',
			'list'		=> 'Dever::load("task/lib/manage.info", {id})',
		),

		'card_end'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '身份证反面',
			'default' 	=> '',
			'desc' 		=> '身份证反面',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'wechat'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微信号',
			'default' 	=> '',
			'desc' 		=> '身份证号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'alipay'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '支付宝',
			'default' 	=> '',
			'desc' 		=> '支付宝',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '审核状态',
			'default' 	=> '1',
			'desc' 		=> '审核状态',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $status,
			'search'	=> 'select',
			'list'		=> true,
			'control'	=> 'status',
		),

		'status_desc'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '审核说明',
			'default' 	=> '',
			'desc' 		=> '请输入审核说明',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'show'		=> 'status=3',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('审核', 'status,status_desc', '{status} == 1'),
		),
	),
);
