<?php


$status = array
(
	1 => '审核中',
	2 => '已认证',
	3 => '未认证',
);

return array
(
	# 表名
	'name' => 'user_level',
	# 显示给用户看的名称
	'lang' => '等级设置',
	'menu' => 'main',
	'order' => 20,
	'fast' => 10,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '等级名称',
			'default' 	=> '',
			'desc' 		=> '等级名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'score'		=> array
		(
			'type' 		=> 'varchar-11',
			'name' 		=> '等级所需积分',
			'default' 	=> '0',
			'desc' 		=> '等级所需积分',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
			'edit'		=> true,
		),

		'member'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '等级所需成员数',
			'default' 	=> '0',
			'desc' 		=> '等级所需成员数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
			'edit'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '级别数字(数值越大越高)',
			'default' 	=> '1',
			'desc' 		=> '请输入级别',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '级别数字',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 更新表结构
	'alter' => array
	(
		1 => array
		(
			array('update', 'score', 'score', 'varchar-11 0 积分'),
		),
		'version' => 1,
	),
	
	'manage' => array
	(

	),

	'default' => array
	(
		'col' => 'name,score,member,state, reorder,cdate',
		'value' => array
		(
			'"小队成员","0", "0", 1, 1,' . DEVER_TIME,
			'"小队长","200", "5", 1, 2,' . DEVER_TIME,
			'"中队长","1000", "0", 1, 3,' . DEVER_TIME,
			'"大队长","3000", "0", 1, 4,' . DEVER_TIME,
			'"大队委员","6000", "0", 1, 5,' . DEVER_TIME,
			'"合伙人","15000", "0", 1, 6,' . DEVER_TIME,
		),
	),
);
