<?php


return array
(
	# 表名
	'name' => 'user_score',
	# 显示给用户看的名称
	'lang' => '用户积分',
	'menu' => 'passport',
	'order' => 19,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '',
			'desc' 		=> '用户名',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'search'	=> array
			(
				'api' => 'passport/user-all',
				'col' => 'username',
				'result' => 'id',
			),
			'list'		=> 'Dever::load("passport/user-one#username", {uid})',
		),

		'score'		=> array
		(
			'type' 		=> 'varchar-11',
			'name' 		=> '可用积分',
			'default' 	=> '0',
			'desc' 		=> '可用积分',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '邀请码',
			'default' 	=> '0',
			'desc' 		=> '邀请码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '入库时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 更新表结构
	'alter' => array
	(
		1 => array
		(
			array('update', 'score', 'score', 'varchar-11 0 积分'),
		),
		'version' => 1,
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
		# 列表
		'list_button' => array
		(
			'list' => array('积分日志', '"user_score_log&project=task&search_option_uid={uid}&search_option_status=2&oper_parent=user_score&oper_project=task"'),
		),
	),

	'request' => array
	(
		'updateScore' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'uid' => 'yes',
			),
			'set' => array
			(
				'score' => array('yes', '+='),
			),
			'type' => 'update',
		),
	)
);
